Index: trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1105)
+++ trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1121)
@@ -2,4 +2,9 @@
 # some variables
 TMP = ../../../tmp
+
+#WARNING : NEMO does NOT support fortran 95 signed zero behaviour when using intrinsec SIGN function
+#          This doesnt happen whith Fortran 90 compilers but
+#          Check your compilers option in consequence when using real F95 compilers
+
 #-Q- sx8mercure  # Compiler options NEMO (CEA SX6-NEC) 
 #-Q- sx8mercure  F_O = -size_t64 -dw -Wf\"-A dbl4\" -sx6 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
@@ -38,4 +43,8 @@
 #-Q- g95  F_F = $(F_O)-ffixed-form -ffixed-line-length-132
 #-Q- g95  L_X = -r8 -O3
+#-Q- gfortran  # Compiler options for NEMO (gfortran version)
+#-Q- gfortran  F_O = -fno-second-underscore -fdefault-real-8 -funroll-all-loops -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
+#-Q- gfortran  F_F = $(F_O)-ffixed-form -ffixed-line-length-132
+#-Q- gfortran  L_X = -fdefault-real-8
 #-Q- aix    # Compiler options for NEMO (aix version)
 #-Q- aix    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
@@ -43,4 +52,8 @@
 #-Q- aix   L_O = $(F_P) -q64 -O3
 #-Q- aix   L_X = $(L_O)
+#-Q- babel  # Compiler options for NEMO (blue gene version)
+#-Q- babel  F_O =  -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
+#-Q- babel  F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
+#-Q- babel  L_X = $(L_O)
 #-Q- osxxlf    # Compiler options for NEMO (osxxlf version)
 #-Q- osxxlf    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname -qstrict -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
@@ -304,4 +317,5 @@
 	@$(F_C) \
 #-Q- aix		-qsuffix=f=F90 \
+#-Q- babel		-qsuffix=f=F90 \
 #-Q- osxxlf		-qsuffix=f=F90 \
 	$(P_P) $(F_O) \
@@ -312,4 +326,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- babel		-qsource \
 	   OPAFILES/$*.F90 || { mv $(PREF).L $(TMP) ; false ; exit ; }
 #-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
@@ -333,5 +348,5 @@
 $(MODEL_LIB):	$(LIB_OBJ)
 		@echo
-		@echo La bibliotheque est a jour
+		@echo The library is up-to-date
 		@echo
 
@@ -348,4 +363,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- babel		-qsource \
 		$*.f90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
@@ -355,4 +371,5 @@
 		@if [ -f $*.mod ] ; then mv $*.mod $(MODDIR)/oce ; fi
 #-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
+#-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
@@ -365,5 +382,4 @@
 		@(cd OPAFILES ; ./conv agrif_opa.in -rm \
 #-Q- linux		-SubloopScalar \
-#-Q- lxiv8		-SubloopScalar \
 #-Q- g95			-SubloopScalar \
 #-Q- f95			-SubloopScalar \
@@ -380,4 +396,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- babel		-qsource \
 		OPAFILES/$*.F90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; } 
 else
@@ -389,4 +406,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- babel		-qsource \
 		$*.F90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
 endif
@@ -397,4 +415,5 @@
 		@if [ -f $*.mod ] ; then mv $*.mod $(MODDIR)/oce ; fi
 #-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
+#-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
@@ -407,5 +426,4 @@
 		@(cd OPAFILES ; ./conv agrif_opa.in -rm \
 #-Q- linux		-SubloopScalar \
-#-Q- lxiv8		-SubloopScalar \
 #-Q- g95			-SubloopScalar \
 #-Q- f95			-SubloopScalar \
@@ -422,4 +440,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- babel		-qsource \
 		OPAFILES/$*.F || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; } 
 else
@@ -431,4 +450,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- babel		-qsource \
 		$*.F || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
 endif
@@ -439,4 +459,5 @@
 		@if [ -f $*.mod ] ; then mv $*.mod $(MODDIR)/oce ; fi
 #-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
+#-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
@@ -452,4 +473,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- babel		-qsource \
 		$*.f|| { if [ -f $(PREF)$*.L ] ; then mv $*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
@@ -458,4 +480,5 @@
 		@$(RM) -f $*.o
 #-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
+#-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- linux	@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
@@ -1113,5 +1136,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trcini.o) \
-	$(MODEL_LIB)(zdfini.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	mppini.F90 \
@@ -1121,5 +1143,4 @@
 	traqsr.F90 \
 	trcini.F90 \
-	zdfini.F90 \
 	zpshde.F90 \
 	$(MODEL_LIB)(opa.o) \
@@ -1326,5 +1347,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trcini.o) \
-	$(MODEL_LIB)(zdfini.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	mppini.F90 \
@@ -1334,5 +1354,4 @@
 	traqsr.F90 \
 	trcini.F90 \
-	zdfini.F90 \
 	zpshde.F90 \
 	KEY_CPP \
@@ -1372,5 +1391,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -1395,5 +1413,4 @@
 	traqsr.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -1410,5 +1427,5 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(trc.o) \
 	oce_trc.F90 \
 	p4zlim.F90 \
@@ -1422,5 +1439,5 @@
 	prtctl_trc.F90 \
 	sms_pisces.F90 \
-	trp_trc.F90 \
+	trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -1449,17 +1466,15 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -1467,8 +1482,8 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(trc.o) \
 	oce_trc.F90 \
 	sms_pisces.F90 \
-	trp_trc.F90 \
+	trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -1500,5 +1515,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -1515,5 +1529,4 @@
 	traqsr.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -1524,5 +1537,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	p4zche.F90 \
@@ -1530,5 +1542,4 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -1557,17 +1568,15 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -1575,8 +1584,8 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(trc.o) \
 	oce_trc.F90 \
 	sms_pisces.F90 \
-	trp_trc.F90 \
+	trc.F90 \
 	KEY_CPP \
 	p4zint.F90
@@ -1604,17 +1613,15 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -1623,9 +1630,7 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -1655,18 +1660,16 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -1676,10 +1679,8 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	KEY_CPP \
 	p4zlys.F90
@@ -1711,5 +1712,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -1727,5 +1727,4 @@
 	traqsr.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -1737,5 +1736,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	p4zint.F90 \
@@ -1744,5 +1742,4 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -1775,5 +1772,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -1791,5 +1787,4 @@
 	traqsr.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -1801,5 +1796,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	p4zint.F90 \
@@ -1808,5 +1802,4 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -1839,5 +1832,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -1855,5 +1847,4 @@
 	traqsr.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -1864,5 +1855,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	p4zsink.F90 \
@@ -1870,5 +1860,4 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -1897,17 +1886,15 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -1916,9 +1903,7 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -1950,5 +1935,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -1965,5 +1949,4 @@
 	traqsr.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -1976,5 +1959,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	p4zint.F90 \
@@ -1984,5 +1966,4 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -2019,5 +2000,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -2039,5 +2019,4 @@
 	traqsr.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -2052,5 +2031,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	p4zche.F90 \
@@ -2062,5 +2040,4 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -2113,5 +2090,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -2139,5 +2115,4 @@
 	traqsr.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -2159,5 +2134,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	p4zbio.F90 \
@@ -2170,5 +2144,4 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -2198,18 +2171,16 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -2219,10 +2190,8 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -2472,4 +2441,5 @@
 	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trctrp.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -2493,4 +2463,5 @@
 	trctrp.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -2605,4 +2576,5 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -2620,4 +2592,5 @@
 	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -2626,9 +2599,9 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(trcbbl.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	trcbbl.F90 \
-	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -2669,4 +2642,5 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -2684,4 +2658,5 @@
 	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -2692,9 +2667,9 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(trcbbl.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	trcbbl.F90 \
-	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -2735,4 +2710,5 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -2750,4 +2726,5 @@
 	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -2760,9 +2737,9 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(trcbbl.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	trcbbl.F90 \
-	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -2803,4 +2780,5 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -2818,4 +2796,5 @@
 	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -2826,9 +2805,11 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(trcbbl.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	trcbbl.F90 \
-	trc.F90 \
+	trctrp_lec.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -2869,4 +2850,5 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -2884,4 +2866,5 @@
 	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -2892,9 +2875,9 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(trcbbl.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	trcbbl.F90 \
-	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -2938,16 +2921,18 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -2957,8 +2942,8 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -2994,4 +2979,5 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -3008,4 +2994,5 @@
 	traqsr.F90 \
 	trc.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -3017,10 +3004,10 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -3055,18 +3042,16 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -3077,9 +3062,9 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	sms_lobster.F90 \
-	trp_trc.F90 \
+	trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -3154,4 +3139,5 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -3168,4 +3154,5 @@
 	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -3342,16 +3329,18 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -3365,6 +3354,8 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trp_trc.o) \
+	oce_trc.F90 \
+	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -3414,17 +3405,19 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -3435,11 +3428,11 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(trcdta.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	trcdta.F90 \
-	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -3548,18 +3541,18 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -3572,5 +3565,4 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -3578,5 +3570,4 @@
 	trc.F90 \
 	trctrp_lec.F90 \
-	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -3880,5 +3871,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -3900,5 +3890,4 @@
 	traqsr.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -3911,10 +3900,64 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
+	oce_trc.F90 \
+	p4zche.F90 \
+	par_trc.F90 \
+	sms_pisces.F90 \
+	trc.F90 \
+	domzgr_substitute.h90 \
+	ldfeiv_substitute.h90 \
+	ldftra_substitute.h90 \
+	top_substitute.h90 \
+	vectopt_loop_substitute.h90 \
+	KEY_CPP \
+	trcini_pisces.F90
+$(MODEL_LIB)(trcldf_bilap.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dynspg_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(ldfslp.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(trabbl.o) \
+	$(MODEL_LIB)(traqsr.o) \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	lbclnk.F90 \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
-	p4zche.F90 \
-	par_trc.F90 \
-	sms_pisces.F90 \
-	trc.F90 \
+	prtctl_trc.F90 \
 	trp_trc.F90 \
 	domzgr_substitute.h90 \
@@ -3924,41 +3967,43 @@
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
-	trcini_pisces.F90
-$(MODEL_LIB)(trcldf_bilap.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
+	trcldf_bilap.F90
+$(MODEL_LIB)(trcldf_bilapg.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dynspg_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(ldfslp.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(trabbl.o) \
+	$(MODEL_LIB)(traqsr.o) \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -3968,8 +4013,8 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -3978,52 +4023,52 @@
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
-	trcldf_bilap.F90
-$(MODEL_LIB)(trcldf_bilapg.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	zdf_oce.F90 \
-	lbclnk.F90 \
-	$(MODEL_LIB)(lbclnk.o) \
+	trcldf_bilapg.F90
+$(MODEL_LIB)(trcldf_iso.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dynspg_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(ldfslp.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(trabbl.o) \
+	$(MODEL_LIB)(traqsr.o) \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -4032,41 +4077,43 @@
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
-	trcldf_bilapg.F90
-$(MODEL_LIB)(trcldf_iso.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
+	trcldf_iso.F90
+$(MODEL_LIB)(trcldf_iso_zps.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dynspg_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(ldfslp.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(trabbl.o) \
+	$(MODEL_LIB)(traqsr.o) \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -4074,8 +4121,8 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -4084,41 +4131,43 @@
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
-	trcldf_iso.F90
-$(MODEL_LIB)(trcldf_iso_zps.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
+	trcldf_iso_zps.F90
+$(MODEL_LIB)(trcldf_lap.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dynspg_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(ldfslp.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(trabbl.o) \
+	$(MODEL_LIB)(traqsr.o) \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -4126,8 +4175,8 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -4136,50 +4185,76 @@
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
-	trcldf_iso_zps.F90
-$(MODEL_LIB)(trcldf_lap.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	zdf_oce.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	prtctl_trc.F90 \
-	trc.F90 \
+	trcldf_lap.F90
+$(MODEL_LIB)(trclec.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dynspg_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(ldfslp.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(sms_lobster.o) \
+	$(MODEL_LIB)(sms_pisces.o) \
+	$(MODEL_LIB)(trabbl.o) \
+	$(MODEL_LIB)(traqsr.o) \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trcsms_cfc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	sms_lobster.F90 \
+	sms_pisces.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	trcsms_cfc.F90 \
+	trp_trc.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(trclsm_cfc.o) \
+	$(MODEL_LIB)(trclsm_lobster.o) \
+	$(MODEL_LIB)(trclsm_my_trc.o) \
+	$(MODEL_LIB)(trclsm_pisces.o) \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
+	oce_trc.F90 \
+	trc.F90 \
+	trclsm_cfc.F90 \
+	trclsm_lobster.F90 \
+	trclsm_my_trc.F90 \
+	trclsm_pisces.F90 \
+	trctrp_lec.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -4188,78 +4263,4 @@
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
-	trcldf_lap.F90
-$(MODEL_LIB)(trclec.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trcsms_cfc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	sms_lobster.F90 \
-	sms_pisces.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	trcsms_cfc.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	zdf_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(trclsm_cfc.o) \
-	$(MODEL_LIB)(trclsm_lobster.o) \
-	$(MODEL_LIB)(trclsm_my_trc.o) \
-	$(MODEL_LIB)(trclsm_pisces.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	oce_trc.F90 \
-	trc.F90 \
-	trclsm_cfc.F90 \
-	trclsm_lobster.F90 \
-	trclsm_my_trc.F90 \
-	trclsm_pisces.F90 \
-	trctrp_lec.F90 \
-	domzgr_substitute.h90 \
-	ldfeiv_substitute.h90 \
-	ldftra_substitute.h90 \
-	top_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
 	trclec.F90
 $(MODEL_LIB)(trclsm_cfc.o) :	\
@@ -4518,17 +4519,19 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -4542,10 +4545,10 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	$(AGRIF_LIB) \
 	KEY_CPP \
@@ -4575,18 +4578,16 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -4595,9 +4596,9 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	sms_lobster.F90 \
-	trp_trc.F90 \
+	trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -4627,16 +4628,18 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -4646,8 +4649,8 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -4692,17 +4695,19 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -4755,16 +4760,18 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -4772,8 +4779,8 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -4807,18 +4814,16 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -4829,9 +4834,9 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	sms_lobster.F90 \
-	trp_trc.F90 \
+	trc.F90 \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -4937,5 +4942,4 @@
 	$(MODEL_LIB)(trcopt.o) \
 	$(MODEL_LIB)(trcsed.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -4962,5 +4966,4 @@
 	trcopt.F90 \
 	trcsed.F90 \
-	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -4990,5 +4993,4 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -4996,5 +4998,4 @@
 	trc.F90 \
 	trctrp_lec.F90 \
-	trp_trc.F90 \
 	$(MODEL_LIB)(trcbio.o) \
 	$(MODEL_LIB)(trcexp.o) \
@@ -5064,5 +5065,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -5091,5 +5091,4 @@
 	traqsr.F90 \
 	trc.F90 \
-	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -5107,5 +5106,5 @@
 	$(MODEL_LIB)(p4zsed.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(trc.o) \
 	oce_trc.F90 \
 	p4zbio.F90 \
@@ -5116,5 +5115,5 @@
 	p4zsed.F90 \
 	sms_pisces.F90 \
-	trp_trc.F90 \
+	trc.F90 \
 	KEY_CPP \
 	trcsms_pisces.F90
@@ -5175,4 +5174,5 @@
 	$(MODEL_LIB)(trczdf_iso.o) \
 	$(MODEL_LIB)(trczdf_iso_vopt.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -5216,4 +5216,5 @@
 	trczdf_iso.F90 \
 	trczdf_iso_vopt.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -5223,15 +5224,15 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(trcdia.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcrst.o) \
 	$(MODEL_LIB)(trcsms.o) \
 	$(MODEL_LIB)(trctrp.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
 	trcdia.F90 \
-	trc.F90 \
 	trcrst.F90 \
 	trcsms.F90 \
 	trctrp.F90 \
+	trp_trc.F90 \
 	KEY_CPP \
 	trcstp.F90
@@ -5261,26 +5262,28 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	zdf_oce.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	trp_trc.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
-	oce_trc.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trp_trc.o) \
+	oce_trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	KEY_CPP \
 	trctrp_ctl.F90
@@ -5325,4 +5328,5 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
@@ -5343,4 +5347,5 @@
 	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -5361,5 +5366,4 @@
 	$(MODEL_LIB)(trcldf_lap.o) \
 	$(MODEL_LIB)(trcnxt.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcrad.o) \
 	$(MODEL_LIB)(trcsbc.o) \
@@ -5369,4 +5373,5 @@
 	$(MODEL_LIB)(trczdf_iso.o) \
 	$(MODEL_LIB)(trczdf_iso_vopt.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zpshde_trc.o) \
 	oce_trc.F90 \
@@ -5379,5 +5384,4 @@
 	trcbbl.F90 \
 	trcdmp.F90 \
-	trc.F90 \
 	trcldf_bilap.F90 \
 	trcldf_bilapg.F90 \
@@ -5393,4 +5397,5 @@
 	trczdf_iso.F90 \
 	trczdf_iso_vopt.F90 \
+	trp_trc.F90 \
 	zpshde_trc.F90 \
 	domzgr_substitute.h90 \
@@ -5420,22 +5425,24 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	zdf_oce.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(trp_trc.o) \
+	oce_trc.F90 \
+	trp_trc.F90 \
 	KEY_CPP \
 	trctrp_lec.F90
@@ -5465,17 +5472,19 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -5483,10 +5492,10 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -5521,17 +5530,19 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -5539,10 +5550,10 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -5577,17 +5588,19 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -5597,10 +5610,10 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -5636,17 +5649,19 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	trp_trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -5656,10 +5671,10 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
 	trctrp_lec.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -5684,6 +5699,8 @@
 	par_pisces.F90 \
 	par_trc.F90 \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(trc.o) \
+	par_oce.F90 \
 	par_trc.F90 \
 	trc.F90 \
@@ -5842,15 +5859,17 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
@@ -5860,8 +5879,8 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	par_kind.F90 \
-	trc.F90 \
+	$(MODEL_LIB)(trp_trc.o) \
+	oce_trc.F90 \
+	par_kind.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
